package fr.cnam.joueur;

import java.rmi.*;
import fr.cnam.joueur.FactoryAgentInt;
import java.util.*;
import java.awt.Point;

public class Agent_Agressif2 extends Agent 
{
    public Agent_Agressif2(int couleur,
                          FactoryAgentInt factory,
                          int portRMI) throws RemoteException
    {
        super(couleur,
              factory,
              portRMI);
    }

    public void deplacer()
    {
        try{
            if (! espace.getModeCombat())
                {
                    fuireEnnemie();
                    if (! deplacerEnsemble(10))
                        super.deplacer();
                }
            else
                {
                    if ( ! deplacerEnnemie())
                        super.deplacer();
                }
        }catch(Exception ex){System.out.println(ex);ex.printStackTrace();};
    }
}